(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("React"));
	else if(typeof define === 'function' && define.amd)
		define(["React"], factory);
	else if(typeof exports === 'object')
		exports["ReactImageMulti"] = factory(require("React"));
	else
		root["ReactImageMulti"] = factory(root["React"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_1__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});

	var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

	var _react = __webpack_require__(1);

	var _react2 = _interopRequireDefault(_react);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

	function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

	function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

	function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

	var _React$PropTypes = _react2.default.PropTypes,
	    node = _React$PropTypes.node,
	    oneOfType = _React$PropTypes.oneOfType,
	    string = _React$PropTypes.string,
	    array = _React$PropTypes.array;

	var Img = function (_Component) {
	  _inherits(Img, _Component);

	  function Img() {
	    var _ref;

	    var _temp, _this, _ret;

	    _classCallCheck(this, Img);

	    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
	      args[_key] = arguments[_key];
	    }

	    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Img.__proto__ || Object.getPrototypeOf(Img)).call.apply(_ref, [this].concat(args))), _this), _this.state = { currentIndex: 0, isLoading: true, isLoaded: false }, _this.sourceList = [], _this.onLoad = function () {
	      return _this.setState({ isLoaded: true });
	    }, _this.img = function (props) {
	      return _react2.default.createElement('img', props);
	    }, _this.onError = function () {
	      // currentIndex is zero bases, length is 1 based.
	      _this.setState({ currentIndex: ++_this.state.currentIndex });
	      if (_this.state.currentIndex >= _this.sourceList.length) _this.setState({ isLoading: false });
	    }, _temp), _possibleConstructorReturn(_this, _ret);
	  }

	  _createClass(Img, [{
	    key: 'componentWillMount',
	    value: function componentWillMount() {
	      this.sourceList = typeof this.props.src === 'string' ? [this.props.src] : this.props.src;
	    }
	  }, {
	    key: 'render',
	    value: function render() {
	      var _props = this.props,
	          src = _props.src,
	          loader = _props.loader,
	          unloader = _props.unloader,
	          rest = _objectWithoutProperties(_props, ['src', 'loader', 'unloader']); //eslint-disable-line


	      src = this.sourceList[this.state.currentIndex];

	      var img = this.img(Object.assign({ src: src, onError: this.onError, onLoad: this.onLoad }, rest));

	      // if we have loaded, show img
	      if (this.state.isLoaded) return img;

	      // if we are still trying to load, show img and a loader if requested
	      if (!this.state.isLoaded && this.state.isLoading) return this.props.loader ? _react2.default.createElement(
	        'span',
	        null,
	        this.props.loader,
	        img
	      ) : img;

	      // if we have given up on loading, show a place holder if requested, or nothing
	      if (!this.state.isLoaded && !this.state.isLoading) return this.props.unloader ? this.props.unloader : false;
	    }
	  }]);

	  return Img;
	}(_react.Component);

	Img.propTypes = {
	  loader: node,
	  unloader: node,
	  src: oneOfType([string, array])
	};
	Img.defaultProps = {
	  loader: false,
	  unloader: false,
	  src: []
	};
	exports.default = Img;

/***/ },
/* 1 */
/***/ function(module, exports) {

	module.exports = __WEBPACK_EXTERNAL_MODULE_1__;

/***/ }
/******/ ])
});
;